import 'package:objd/core.dart';
import 'dart:io' as io;

class CustomAdvancement {
  String name;
  bool showToast, announceToChat, hidden;
  Item icon = new Item(Items.stone);
  TextComponent title, description;
  String comment;
  String background;
  String frame;
  List<CustomAdvancement> tree;

  CustomAdvancement(this.name, this.title, this.description,
      {this.frame = Frames.NORMAL,
      this.showToast = false,
      this.announceToChat = false,
      this.hidden = false,
      this.comment = "Made with Objd", this.tree}) {
        
      }

  void parse() {
    var str = new StringBuffer();
    str.write('{\n\t"__comment": "' + comment + '",\n\t"display": {\n\t\t"title": {\n\t\t\t"text": "' + title.value[1] + '",');
  }

  generate() {
    var file = new io.File("path");
    file.writeAsString("asd");
    return io.File('path');
  }
}

class Frames {
  static const NORMAL = "normal";
  static const CHALLENGE = "challenge";
  static const GOAL = "goal";
}

class Criteria {
  static const BEE_NEST_DESTROYED = "minecraft:bee_nest_destroyed";
  static const BRED_ANIMALS = "minecraft:bred_animals";
}
