import 'package:objd/core.dart';
import './Explosion.dart';

class FireWork extends Widget {

  int flight;
  int lifeTime;
  Location loc;
  List<Explosion> explosion;

  FireWork(this.flight, this.lifeTime, this.loc, this.explosion);

  Widget generate(Context context) {
    var commandStr = new StringBuffer();
    commandStr.write('/summon firework_rocket ' + loc.toString() + ' {LifeTime:' + lifeTime.toString() + ',FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:' + flight.toString() + ',Explosions:[');
    for (var i = 0; i < explosion.length; i++) {
      commandStr.write(explosion[i].toString());
      if(i + 1 < explosion.length)
        commandStr.write(',');
    }
    commandStr.write("]}}}}");
    return Command(commandStr.toString());
  }

}